diff -pruN 1.14.0-8/debian/ceres-solver-doc.lintian-overrides 1.14.0-11/debian/ceres-solver-doc.lintian-overrides
--- 1.14.0-8/debian/ceres-solver-doc.lintian-overrides	2020-06-08 18:02:10.000000000 +0000
+++ 1.14.0-11/debian/ceres-solver-doc.lintian-overrides	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-ceres-solver-doc: no-upstream-changelog
diff -pruN 1.14.0-8/debian/changelog 1.14.0-11/debian/changelog
--- 1.14.0-8/debian/changelog	2020-06-08 18:47:40.000000000 +0000
+++ 1.14.0-11/debian/changelog	2020-12-08 07:20:24.000000000 +0000
@@ -1,3 +1,32 @@
+ceres-solver (1.14.0-11) unstable; urgency=medium
+
+  * Team upload.
+  * [21022f7] Add .gitlab-ci.yml
+  * [a8eeb1e] Update watch file format version to 4.
+  * [6373c6d] Set upstream metadata fields:
+              Bug-Database, Bug-Submit, Repository, Repository-Browse.
+  * [7542a27] Drop unnecessary dh arguments: --parallel
+  * Rebuild against new eigen3
+
+ -- Anton Gladky <gladk@debian.org>  Tue, 08 Dec 2020 08:20:24 +0100
+
+ceres-solver (1.14.0-10) unstable; urgency=medium
+
+  * Team upload.
+  * Add strict libeigen3-dev dependency
+  * Drop old/wrong lintian-overrides
+  * bump policy and debhelper versions (no changes)
+
+ -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 12 Oct 2020 20:23:12 +0200
+
+ceres-solver (1.14.0-9) unstable; urgency=medium
+
+  * Fix js replacement in -doc.
+    Thanks to Nick Lamprianidis (Closes: #971195)
+  * Drop wrong lintian-overrides
+
+ -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Oct 2020 16:50:51 +0200
+
 ceres-solver (1.14.0-8) unstable; urgency=medium
 
   * Team upload.
diff -pruN 1.14.0-8/debian/compat 1.14.0-11/debian/compat
--- 1.14.0-8/debian/compat	2020-06-08 18:02:10.000000000 +0000
+++ 1.14.0-11/debian/compat	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-11
diff -pruN 1.14.0-8/debian/control 1.14.0-11/debian/control
--- 1.14.0-8/debian/control	2020-06-08 18:02:55.000000000 +0000
+++ 1.14.0-11/debian/control	2020-12-08 07:20:12.000000000 +0000
@@ -3,7 +3,7 @@ Maintainer: Debian Science Team <debian-
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libatlas-base-dev,
                libgoogle-glog-dev,
@@ -16,8 +16,11 @@ Build-Depends: debhelper (>= 11~),
                libjs-jquery,
                libjs-mathjax,
                libjs-modernizr,
-               libjs-underscore
-Standards-Version: 4.3.0
+               libjs-underscore,
+               libjs-sphinxdoc,
+               node-html5shiv,
+               awk,
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/ceres-solver
 Vcs-Git: https://salsa.debian.org/science-team/ceres-solver.git
 Homepage: http://ceres-solver.org
@@ -29,7 +32,8 @@ Depends: libceres1 (= ${binary:Version})
          ${misc:Depends},
          libgoogle-glog-dev,
          libgflags-dev,
-         libeigen3-dev (>= 3.3.4),
+         libeigen3-dev (>= ${eigen:Upstream-Version}),
+         libeigen3-dev (<< ${eigen:Upstream-Version-Next}),
          libsuitesparse-dev (>= 1:4.4.3)
 Description: nonlinear least squares minimizer (development files)
  Ceres Solver is an open source C++ library for modeling and solving large,
@@ -68,6 +72,8 @@ Depends: ${misc:Depends},
          libjs-jquery,
          libjs-modernizr,
          libjs-underscore,
+         libjs-sphinxdoc,
+         node-html5shiv,
          fonts-lato
 Description: documentation for ceres-solver
  Ceres Solver is an open source C++ library for modeling and solving large,
diff -pruN 1.14.0-8/debian/.gitlab-ci.yml 1.14.0-11/debian/.gitlab-ci.yml
--- 1.14.0-8/debian/.gitlab-ci.yml	1970-01-01 00:00:00.000000000 +0000
+++ 1.14.0-11/debian/.gitlab-ci.yml	2020-12-07 19:25:18.000000000 +0000
@@ -0,0 +1,3 @@
+include:
+ - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/salsa-ci.yml
+ - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/pipeline-jobs.yml
diff -pruN 1.14.0-8/debian/libceres1.lintian-overrides 1.14.0-11/debian/libceres1.lintian-overrides
--- 1.14.0-8/debian/libceres1.lintian-overrides	2020-06-08 18:02:10.000000000 +0000
+++ 1.14.0-11/debian/libceres1.lintian-overrides	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-libceres1: no-upstream-changelog
diff -pruN 1.14.0-8/debian/libceres-dev.lintian-overrides 1.14.0-11/debian/libceres-dev.lintian-overrides
--- 1.14.0-8/debian/libceres-dev.lintian-overrides	2020-06-08 18:02:10.000000000 +0000
+++ 1.14.0-11/debian/libceres-dev.lintian-overrides	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-libceres-dev: no-upstream-changelog
diff -pruN 1.14.0-8/debian/rules 1.14.0-11/debian/rules
--- 1.14.0-8/debian/rules	2020-06-08 18:02:10.000000000 +0000
+++ 1.14.0-11/debian/rules	2020-12-08 07:20:12.000000000 +0000
@@ -4,6 +4,12 @@ export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 
+# compute current and next Eigen version and add it to d/control
+# Needed because CeresConfig.cmake sets it in CERES_EIGEN_VERSION
+# also see #868355
+eigenvercurr := $(shell dpkg-query -W -f '$${Source:Upstream-Version}' libeigen3-dev | awk -F. '{print $$1"."$$2"."$$3}')
+eigenvernext := $(shell dpkg-query -W -f '$${Source:Upstream-Version}' libeigen3-dev | awk -F. '{print $$1"."$$2"."$$3+1}')
+
 build: build-arch build-indep
 build-arch: build-process
 build-indep: build-process
@@ -20,8 +26,8 @@ build-process:
 		-DCXSPARSE_INCLUDE_DIR=/usr/include/suitesparse/ \
 		-DBUILD_DOCUMENTATION=OFF \
 		-DCMAKE_BUILD_TYPE=Release
-	dh_auto_build --parallel
-	dh_auto_test --parallel
+	dh_auto_build
+	dh_auto_test
 	mv -v ${CURDIR}/obj-*/lib/libceres.a ${CURDIR}/debian/
 	mv -v ${CURDIR}/obj-*/config/ceres/internal/config.h ${CURDIR}/debian/
 	# Build shared library + documentation
@@ -35,8 +41,8 @@ build-process:
 		-DCXSPARSE_INCLUDE_DIR=/usr/include/suitesparse/ \
 		-DBUILD_DOCUMENTATION=ON \
 		-DCMAKE_BUILD_TYPE=Release
-	dh_auto_build --parallel
-	dh_auto_test --parallel
+	dh_auto_build
+	dh_auto_test
 	# Create build stamp
 	touch ${CURDIR}/build-process
 
@@ -47,6 +53,10 @@ override_dh_clean:
 	rm -vf ${CURDIR}/build-process ${CURDIR}/debian/libceres.a
 	dh_clean
 
+execute_before_dh_gencontrol:
+	echo 'eigen:Upstream-Version=$(eigenvercurr)' >> debian/libceres-dev.substvars
+	echo 'eigen:Upstream-Version-Next=$(eigenvernext)' >> debian/libceres-dev.substvars
+
 override_dh_compress:
 	dh_compress -X.cc -X.h
 
@@ -60,10 +70,18 @@ override_dh_installdocs:
 	# make lintian happy
 	# https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0 -> /usr/share/javascript/mathjax
 	sed -i 's/https:\/\/cdnjs.cloudflare.com\/ajax\/libs\/mathjax\/2.7.1/\/usr\/share\/javascript\/mathjax/g' $(CURDIR)/debian/tmp/usr/share/doc/ceres/html/*.html
+	rm debian/tmp/usr/share/doc/ceres/html/_static/doctools.js
+	ln -s /usr/share/javascript/sphinxdoc/1.0/doctools.js debian/tmp/usr/share/doc/ceres/html/_static/doctools.js
 	rm debian/tmp/usr/share/doc/ceres/html/_static/jquery.js
 	ln -s /usr/share/javascript/jquery/jquery.js debian/tmp/usr/share/doc/ceres/html/_static/jquery.js
-	rm debian/tmp/usr/share/doc/ceres/html/_static/js/modernizr.min.js
-	ln -s /usr/share/javascript/modernizr/modernizr.min.js debian/tmp/usr/share/doc/ceres/html/_static/js/modernizr.min.js
+	rm debian/tmp/usr/share/doc/ceres/html/_static/js/html5shiv-printshiv.min.js
+	ln -s /usr/share/javascript/html5shiv/html5shiv-printshiv.min.js debian/tmp/usr/share/doc/ceres/html/_static/js/html5shiv-printshiv.min.js
+	rm debian/tmp/usr/share/doc/ceres/html/_static/js/html5shiv.min.js
+	ln -s /usr/share/javascript/html5shiv/html5shiv.min.js debian/tmp/usr/share/doc/ceres/html/_static/js/html5shiv.min.js
+	rm debian/tmp/usr/share/doc/ceres/html/_static/language_data.js
+	ln -s /usr/share/javascript/sphinxdoc/1.0/language_data.js debian/tmp/usr/share/doc/ceres/html/_static/language_data.js
+	rm debian/tmp/usr/share/doc/ceres/html/_static/searchtools.js
+	ln -s /usr/share/javascript/sphinxdoc/1.0/searchtools.js debian/tmp/usr/share/doc/ceres/html/_static/searchtools.js
 	rm debian/tmp/usr/share/doc/ceres/html/_static/underscore.js
 	ln -s /usr/share/javascript/underscore/underscore.js debian/tmp/usr/share/doc/ceres/html/_static/underscore.js
 	rm -r debian/tmp/usr/share/doc/ceres/html/_static/fonts
diff -pruN 1.14.0-8/debian/source/lintian-overrides 1.14.0-11/debian/source/lintian-overrides
--- 1.14.0-8/debian/source/lintian-overrides	2020-06-08 18:02:10.000000000 +0000
+++ 1.14.0-11/debian/source/lintian-overrides	1970-01-01 00:00:00.000000000 +0000
@@ -1,2 +0,0 @@
-ceres-solver source: testsuite-autopkgtest-missing
-ceres-solver source: debian-watch-does-not-check-gpg-signature
diff -pruN 1.14.0-8/debian/upstream/metadata 1.14.0-11/debian/upstream/metadata
--- 1.14.0-8/debian/upstream/metadata	1970-01-01 00:00:00.000000000 +0000
+++ 1.14.0-11/debian/upstream/metadata	2020-12-08 07:20:12.000000000 +0000
@@ -0,0 +1,5 @@
+---
+Bug-Database: https://github.com/ceres-solver/ceres-solver/issues
+Bug-Submit: https://github.com/ceres-solver/ceres-solver/issues/new
+Repository: https://github.com/ceres-solver/ceres-solver.git
+Repository-Browse: https://github.com/ceres-solver/ceres-solver
diff -pruN 1.14.0-8/debian/watch 1.14.0-11/debian/watch
--- 1.14.0-8/debian/watch	2020-06-08 18:02:10.000000000 +0000
+++ 1.14.0-11/debian/watch	2020-12-08 07:20:06.000000000 +0000
@@ -1,4 +1,2 @@
-version=3
-
-opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,dversionmangle=s/(\~|\+)(debian|dfsg|ds|deb)(\d+)?$//, filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/ceres-solver_$1.tar.gz/" \
-https://github.com/ceres-solver/ceres-solver/releases .*/v?(\d\S*)\.tar\.gz
+version=4
+opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,dversionmangle=s/(\~|\+)(debian|dfsg|ds|deb)(\d+)?$//, filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/ceres-solver_$1.tar.gz/" https://github.com/ceres-solver/ceres-solver/releases .*/v?(\d\S*)\.tar\.gz
